GetPlugin
Note
Amazon Q Business will no longer be open to new customers starting on July 31, 2026. If you would like to use the service, please sign up prior to July 30. For capabilities similar to Q Business, explore Amazon Quick. Learn more.
Gets information about an existing Amazon Q Business plugin.
Request Syntax
GET /applications/applicationId/plugins/pluginId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- applicationId
-
The identifier of the application which contains the plugin.
Length Constraints: Fixed length of 36.
Pattern:
[a-zA-Z0-9][a-zA-Z0-9-]{35}Required: Yes
- pluginId
-
The identifier of the plugin.
Length Constraints: Fixed length of 36.
Pattern:
[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"applicationId": "string",
"authConfiguration": { ... },
"buildStatus": "string",
"createdAt": number,
"customPluginConfiguration": {
"apiSchema": { ... },
"apiSchemaType": "string",
"description": "string"
},
"displayName": "string",
"pluginArn": "string",
"pluginId": "string",
"serverUrl": "string",
"state": "string",
"type": "string",
"updatedAt": number
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- applicationId
-
The identifier of the application which contains the plugin.
Type: String
Length Constraints: Fixed length of 36.
Pattern:
[a-zA-Z0-9][a-zA-Z0-9-]{35} - authConfiguration
-
Authentication configuration information for an Amazon Q Business plugin.
Type: PluginAuthConfiguration object
Note: This object is a Union. Only one member of this object can be specified or returned.
- buildStatus
-
The current status of a plugin. A plugin is modified asynchronously.
Type: String
Valid Values:
READY | CREATE_IN_PROGRESS | CREATE_FAILED | UPDATE_IN_PROGRESS | UPDATE_FAILED | DELETE_IN_PROGRESS | DELETE_FAILED - createdAt
-
The timestamp for when the plugin was created.
Type: Timestamp
- customPluginConfiguration
-
Configuration information required to create a custom plugin.
Type: CustomPluginConfiguration object
- displayName
-
The name of the plugin.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 100.
Pattern:
[a-zA-Z0-9][a-zA-Z0-9_-]* - pluginArn
-
The Amazon Resource Name (ARN) of the role with permission to access resources needed to create the plugin.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 1284.
Pattern:
arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023} - pluginId
-
The identifier of the plugin.
Type: String
Length Constraints: Fixed length of 36.
Pattern:
[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12} - serverUrl
-
The source URL used for plugin configuration.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
(https?|ftp|file)://([^\s]*) - state
-
The current state of the plugin.
Type: String
Valid Values:
ENABLED | DISABLED - type
-
The type of the plugin.
Type: String
Valid Values:
SERVICE_NOW | SALESFORCE | JIRA | ZENDESK | CUSTOM | QUICKSIGHT | SERVICENOW_NOW_PLATFORM | JIRA_CLOUD | SALESFORCE_CRM | ZENDESK_SUITE | ATLASSIAN_CONFLUENCE | GOOGLE_CALENDAR | MICROSOFT_TEAMS | MICROSOFT_EXCHANGE | PAGERDUTY_ADVANCE | SMARTSHEET | ASANA - updatedAt
-
The timestamp for when the plugin was last updated.
Type: Timestamp
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You don't have access to perform this action. Make sure you have the required permission policies and user accounts and try again.
HTTP Status Code: 403
- InternalServerException
-
An issue occurred with the internal server used for your Amazon Q Business service. Wait some minutes and try again, or contact Support
for help. HTTP Status Code: 500
- ResourceNotFoundException
-
The application or plugin resource you want to use doesn’t exist. Make sure you have provided the correct resource and try again.
- message
-
The message describing a
ResourceNotFoundException. - resourceId
-
The identifier of the resource affected.
- resourceType
-
The type of the resource affected.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to throttling. Reduce the number of requests and try again.
HTTP Status Code: 429
- ValidationException
-
The input doesn't meet the constraints set by the Amazon Q Business service. Provide the correct input and try again.
- fields
-
The input field(s) that failed validation.
- message
-
The message describing the
ValidationException. - reason
-
The reason for the
ValidationException.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: